> For the complete documentation index, see [llms.txt](https://docs.mosip.io/1.2.0/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mosip.io/1.2.0/id-lifecycle-management/supporting-components/packet-manager/registration-packet-structure.md).

# Registration Packet Structure

## Overview

A registration packet is a zipped, [encrypted](/1.2.0/readme/principles/privacy-and-security/data-protection.md#registration-data-flow) file containing ID information of an individual. It contains meta information about operator/supervisor, registration center, machine, devices etc.

## Zipped packet

Example zipped file:

`10001100771006920220128223618-10001_10077-20220128223618.zip`

Naming convention: `appid-refid_timestamp.zip`

* [appid](/1.2.0/id-lifecycle-management/identity-management/identifiers.md#rid-appid)
* refid: `centerid_machineid`

## Unzipped packet

```
.
└── REGISTRATION_CLIENT
    └── NEW
        ├── 10001100771006920220128223618_evidence.json
        ├── 10001100771006920220128223618_evidence.zip
        ├── 10001100771006920220128223618_id.json
        ├── 10001100771006920220128223618_id.zip
        ├── 10001100771006920220128223618_optional.json
        └── 10001100771006920220128223618_optional.zip
```

* `*_id.zip`: Applicant demographic/biometric/document fields which are marked as "pvt" or "kyc" or "none" in [ID Schema](/1.2.0/id-lifecycle-management/identity-management/id-schema.md).
* `*_id.json`: Meta information (process, encrypted hash, signature, schema version etc.) for `*_id.zip` file.
* `*_evidence.zip`: Applicant's demographic/biometric/document fields which are marked as "evidence" or "none" in [ID Schema](/1.2.0/id-lifecycle-management/identity-management/id-schema.md).
* `*_evidence.json`: Meta information (process, encrypted hash, signature, schema version etc.) for `*_evidence.zip` file.
* `*_optional.zip`: Applicant demographic/biometric/document fields which are marked as "optional" or "none" [ID Schema](/1.2.0/id-lifecycle-management/identity-management/id-schema.md).
* `*_optional.json`: Meta information (process, encrypted hash, signature, schema version etc.) for `*_optional.zip` file.

## Unzipped components

Note: this is a sample packet and doesnot mean a particular information will be always available in same packet. The fields are populated based on the fieldCategory set in schema json.

* Id

```
id
├── ID.json
├── individualBiometrics_bio_CBEFF.xml
├── packet_data_hash.txt
├── packet_meta_info.json
├── packet_operations_hash.txt
├── proofOfAddress.pdf
├── proofOfIdentity.pdf
└── proofOfRelationship.pdf
```

* Evidence

```
evidence
├── ID.json
├── packet_data_hash.txt
├── packet_meta_info.json
├── packet_operations_hash.txt
└── proofOfException.pdf
```

* Optional

```
optional
├── ID.json
├── packet_data_hash.txt
├── packet_meta_info.json
└── packet_operations_hash.txt
```

## Sample packet

See [sample packet](https://github.com/mosip/documentation/tree/1.2.0/docs/_files/packet-structure).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mosip.io/1.2.0/id-lifecycle-management/supporting-components/packet-manager/registration-packet-structure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
